/*
 * Change Logs:
 * Date           Author       Notes
 * 2021-02-20     黄锦华       v1.1
 * Path:
 */
#ifndef __DRV_LED_H_
#define __DRV_LED_H_
/* 头文件---------------------------------------------------------------------*/
#include "config.h"


/* 宏定义---------------------------------------------------------------------*/
#define LED_RESET_TIME 280	//复位时间us

#define LED_IO1_BANK 0X01		//LED_IO1通道标记
#define LED_IO2_BANK 0X02		//LED_IO2通道标记
#define LED_IO3_BANK 0X04  	//LED_IO3通道标记


#define LED_IO1_NUMBER 1		//LED总个数
#define LED_IO2_NUMBER 6		//LED总个数
#define LED_IO3_NUMBER 12		//LED总个数

#define LED_DRV_MODE	 1		//1:51内核单片机；0:非51内核单片机


sbit LED_IO = P3^0;			//LED数据输出IO口1	控制中心的1个灯
sbit LED_IO2 = P3^1;			//LED数据输出IO口2	控制内圈的6个灯
sbit LED_IO3 = P3^2;			//LED数据输出IO口3	控制中心的12个灯

#define LED_IO1_DATA_RESET()  LED_IO = 0;
#define LED_IO1_DATA_SET()    LED_IO = 1;
#define LED_IO2_DATA_RESET()  LED_IO2 = 0;
#define LED_IO2_DATA_SET()    LED_IO2 = 1;
#define LED_IO3_DATA_RESET()  LED_IO3 = 0;
#define LED_IO3_DATA_SET()    LED_IO3 = 1;


/* 函数声明-------------------------------------------------------------------*/
void Init_Drv_Led(void);	//drv_led 初始化
void __Set_RGB(unsigned char Rvalue, unsigned char Gvalue, unsigned char Bvalue);/* 设置RGB通道灰度 */
void Turn_Off_LED(unsigned char LED_Bank, unsigned int LED_Number);/* 关灯 */
void __led_data_send(unsigned char dat);
/* ---------------------------------------------------------------------------*/



#endif /* __DRV_LED_H_ */
